<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white_bg"
    android:overScrollMode="never">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/back_btn"
            android:layout_width="35sp"
            android:layout_height="35sp"
            android:layout_margin="15dp"
            android:contentDescription="@string/back_button"
            android:padding="5dp"
            android:paddingStart="-15dp"
            android:paddingEnd="0dp"
            android:src="@drawable/arrow_back" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:fontFamily="@font/nunito_medium"
            android:text="@string/lets_get_started"
            android:textAppearance="@style/TextAppearance.Material3.HeadlineMedium"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="5dp"
            android:fontFamily="@font/nunito_regular"
            android:text="@string/enter_your_contact_information"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/black" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="35sp"
            android:fontFamily="@font/nunito_medium"
            android:text="@string/name"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/black" />

        <EditText
            android:id="@+id/name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"
            android:autofillHints="name"

            android:background="@drawable/edit_text_bg_2"
            android:drawableStart="@drawable/ic_user"
            android:drawablePadding="10dp"
            android:fontFamily="@font/nunito_regular"
            android:hint="@string/enter_your_full_name"

            android:inputType="textCapWords"
            android:padding="10dp"

            android:paddingVertical="15dp"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"

            android:maxLength="50"
            android:singleLine="true"
            android:digits="@string/allowed_alphabets_with_space"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            android:fontFamily="@font/nunito_medium"
            android:text="@string/date_of_birth"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/black" />

        <TextView
            android:id="@+id/dob"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"
            android:background="@drawable/edit_text_bg_2"

            android:drawablePadding="10dp"
            android:fontFamily="@font/nunito_regular"
            android:gravity="center_vertical"
            android:hint="@string/enter_your_date_of_birth"
            android:padding="10dp"
            android:paddingVertical="15dp"

            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/black"

            android:textColorHint="@android:color/darker_gray"

            app:drawableStartCompat="@drawable/ic_dob" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            android:fontFamily="@font/nunito_medium"
            android:text="@string/contact_number"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/black" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"

            android:layout_marginVertical="10dp"
            android:background="@drawable/edit_text_bg_2"

            android:gravity="center_vertical"

            android:orientation="horizontal"

            >

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginVertical="10dp"

                android:layout_marginStart="10dp"

                android:contentDescription="@string/phone_number"
                android:src="@drawable/ic_phone" />

            <com.skydoves.powerspinner.PowerSpinnerView
                android:id="@+id/country_codes"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:background="@color/white_bg"

                android:gravity="center"

                android:padding="10dp"
                android:textColor="@color/black"
                android:textSize="14.5sp"

                app:fontFamily="@font/nunito_regular"

                app:spinner_arrow_animate="true"
                app:spinner_arrow_drawable="@drawable/ic_down"
                app:spinner_arrow_gravity="end"

                app:spinner_arrow_padding="8dp"
                app:spinner_divider_color="@color/black"
                app:spinner_divider_show="true"
                app:spinner_divider_size="0.4dp"
                app:spinner_item_height="46dp"
                app:spinner_popup_animation="dropdown"
                app:spinner_popup_background="@drawable/edit_text_bg_2"
                app:spinner_popup_elevation="14dp"
                app:spinner_popup_max_height="200dp" />

            <View
                android:layout_width="0.5dp"
                android:layout_height="match_parent"

                android:layout_marginVertical="10dp"
                android:background="@android:color/darker_gray" />

            <EditText
                android:id="@+id/contact_number"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

                android:autofillHints="phone"

                android:background="@android:color/transparent"
                android:fontFamily="@font/nunito_regular"
                android:hint="@string/phone_number"
                android:inputType="number"
                android:padding="10dp"

                android:paddingVertical="15dp"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                android:digits="@string/allowed_numbers"

                android:nextFocusDown="@id/email"
                android:imeOptions="actionNext"

                android:textColor="@color/black"
                android:textColorHint="@android:color/darker_gray" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="15dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/nunito_medium"
                android:text="@string/email_address"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textColor="@color/black" />

            <!--            <TextView-->
            <!--                android:layout_width="wrap_content"-->
            <!--                android:layout_height="wrap_content"-->
            <!--                android:text="@string/optional"-->
            <!--                android:fontFamily="@font/nunito_medium"-->
            <!--                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"-->
            <!--                android:textColor="@android:color/darker_gray"-->
            <!--                android:layout_marginStart="5dp"-->
            <!--                />-->

        </LinearLayout>

        <EditText
            android:id="@+id/email"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="10dp"
            android:autofillHints="emailAddress"

            android:background="@drawable/edit_text_bg_2"
            android:drawableStart="@drawable/ic_email"
            android:drawablePadding="10dp"
            android:fontFamily="@font/nunito_regular"
            android:hint="@string/enter_email_address"

            android:inputType="textEmailAddress"
            android:padding="10dp"

            android:paddingVertical="15dp"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

            android:textColor="@color/black"
            android:textColorHint="@android:color/darker_gray"

            android:maxLength="255"
            />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <androidx.appcompat.widget.AppCompatCheckBox
                android:id="@+id/tncCheck"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="start"
                android:background="@android:color/transparent"
                android:button="@drawable/remember_me_selector"
                android:checked="false"
                android:paddingHorizontal="10dp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:fontFamily="@font/nunito_regular"
                android:text="@string/i_accept"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                android:textColor="@color/black"

                />

            <TextView
                android:id="@+id/tnc_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:fontFamily="@font/nunito_regular"
                android:padding="5dp"
                android:text="@string/terms_n_conditions"
                android:textAppearance="@style/TextAppearance.Material3.TitleMedium"

                android:textColor="@color/black"

                />

        </LinearLayout>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/next_btn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp"
            android:drawableEnd="@drawable/ic_forward_error"
            android:drawablePadding="15dp"
            android:fontFamily="@font/nunito_regular"
            android:paddingVertical="15dp"
            android:text="@string/next"
            android:textAllCaps="false"
            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
            android:textColor="@color/white_bg"

            app:backgroundTint="@color/color_primary"
            app:cornerRadius="15dp" />

    </LinearLayout>

</ScrollView>